// Copyright 2020 Google LLC All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// This code was autogenerated. Do not edit directly.

// Code generated by lister-gen. DO NOT EDIT.

package v1

import (
	v1 "agones.dev/agones/pkg/apis/autoscaling/v1"
	"k8s.io/apimachinery/pkg/api/errors"
	"k8s.io/apimachinery/pkg/labels"
	"k8s.io/client-go/tools/cache"
)

// FleetAutoscalerLister helps list FleetAutoscalers.
// All objects returned here must be treated as read-only.
type FleetAutoscalerLister interface {
	// List lists all FleetAutoscalers in the indexer.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*v1.FleetAutoscaler, err error)
	// FleetAutoscalers returns an object that can list and get FleetAutoscalers.
	FleetAutoscalers(namespace string) FleetAutoscalerNamespaceLister
	FleetAutoscalerListerExpansion
}

// fleetAutoscalerLister implements the FleetAutoscalerLister interface.
type fleetAutoscalerLister struct {
	indexer cache.Indexer
}

// NewFleetAutoscalerLister returns a new FleetAutoscalerLister.
func NewFleetAutoscalerLister(indexer cache.Indexer) FleetAutoscalerLister {
	return &fleetAutoscalerLister{indexer: indexer}
}

// List lists all FleetAutoscalers in the indexer.
func (s *fleetAutoscalerLister) List(selector labels.Selector) (ret []*v1.FleetAutoscaler, err error) {
	err = cache.ListAll(s.indexer, selector, func(m interface{}) {
		ret = append(ret, m.(*v1.FleetAutoscaler))
	})
	return ret, err
}

// FleetAutoscalers returns an object that can list and get FleetAutoscalers.
func (s *fleetAutoscalerLister) FleetAutoscalers(namespace string) FleetAutoscalerNamespaceLister {
	return fleetAutoscalerNamespaceLister{indexer: s.indexer, namespace: namespace}
}

// FleetAutoscalerNamespaceLister helps list and get FleetAutoscalers.
// All objects returned here must be treated as read-only.
type FleetAutoscalerNamespaceLister interface {
	// List lists all FleetAutoscalers in the indexer for a given namespace.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*v1.FleetAutoscaler, err error)
	// Get retrieves the FleetAutoscaler from the indexer for a given namespace and name.
	// Objects returned here must be treated as read-only.
	Get(name string) (*v1.FleetAutoscaler, error)
	FleetAutoscalerNamespaceListerExpansion
}

// fleetAutoscalerNamespaceLister implements the FleetAutoscalerNamespaceLister
// interface.
type fleetAutoscalerNamespaceLister struct {
	indexer   cache.Indexer
	namespace string
}

// List lists all FleetAutoscalers in the indexer for a given namespace.
func (s fleetAutoscalerNamespaceLister) List(selector labels.Selector) (ret []*v1.FleetAutoscaler, err error) {
	err = cache.ListAllByNamespace(s.indexer, s.namespace, selector, func(m interface{}) {
		ret = append(ret, m.(*v1.FleetAutoscaler))
	})
	return ret, err
}

// Get retrieves the FleetAutoscaler from the indexer for a given namespace and name.
func (s fleetAutoscalerNamespaceLister) Get(name string) (*v1.FleetAutoscaler, error) {
	obj, exists, err := s.indexer.GetByKey(s.namespace + "/" + name)
	if err != nil {
		return nil, err
	}
	if !exists {
		return nil, errors.NewNotFound(v1.Resource("fleetautoscaler"), name)
	}
	return obj.(*v1.FleetAutoscaler), nil
}
